org.gradle.play.platform

## Interface PlayPlatform

- All Superinterfaces:
    Named, Platform

      @Incubating
      public interface PlayPlatform
      extends Platform

  Defines and configures a Play Framework environment including versions of Play, Scala and Java.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JavaPlatform` | `getJavaPlatform()` Version of Java Runtime to use.
    `String` | `getPlayVersion()` Version of Play Framework to use
    `ScalaPlatform` | `getScalaPlatform()` Version of Scala Runtime to use.

    - ### Methods inherited from interface org.gradle.platform.base.Platform

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getPlayVersion

          String getPlayVersion()

      Version of Play Framework to use
      Returns:
        version of the Play Framework

    - #### getScalaPlatform

          ScalaPlatform getScalaPlatform()

      Version of Scala Runtime to use.
      Returns:
        version of the Scala runtime

    - #### getJavaPlatform

          JavaPlatform getJavaPlatform()

      Version of Java Runtime to use.
      Returns:
        version of the Java runtime